Termios::InputMode - Crystal 1.20.1

# enum Termios::InputMode

##
Overview

DEPRECATED

##
Defined in:

termios.cr

##
Enum Members

BRKINT = `2`
ICRNL = `256`
IGNBRK = `1`
IGNCR = `128`
IGNPAR = `4`
INLCR = `64`
INPCK = `16`
ISTRIP = `32`
IXANY = `2048`
IXOFF = `4096`
IXON = `1024`
PARMRK = `8`
None = `0`
All = `7679`

##
Instance Method Summary

- #brkint?

  Returns `true` if this enum value contains `BRKINT`

- #icrnl?

  Returns `true` if this enum value contains `ICRNL`

- #ignbrk?

  Returns `true` if this enum value contains `IGNBRK`

- #igncr?

  Returns `true` if this enum value contains `IGNCR`

- #ignpar?

  Returns `true` if this enum value contains `IGNPAR`

- #inlcr?

  Returns `true` if this enum value contains `INLCR`

- #inpck?

  Returns `true` if this enum value contains `INPCK`

- #istrip?

  Returns `true` if this enum value contains `ISTRIP`

- #ixany?

  Returns `true` if this enum value contains `IXANY`

- #ixoff?

  Returns `true` if this enum value contains `IXOFF`

- #ixon?

  Returns `true` if this enum value contains `IXON`

- #none?
- #parmrk?

  Returns `true` if this enum value contains `PARMRK`

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) : self new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def brkint? #

Returns `true` if this enum value contains `BRKINT`

def icrnl? #

Returns `true` if this enum value contains `ICRNL`

def ignbrk? #

Returns `true` if this enum value contains `IGNBRK`

def igncr? #

Returns `true` if this enum value contains `IGNCR`

def ignpar? #

Returns `true` if this enum value contains `IGNPAR`

def inlcr? #

Returns `true` if this enum value contains `INLCR`

def inpck? #

Returns `true` if this enum value contains `INPCK`

def istrip? #

Returns `true` if this enum value contains `ISTRIP`

def ixany? #

Returns `true` if this enum value contains `IXANY`

def ixoff? #

Returns `true` if this enum value contains `IXOFF`

def ixon? #

Returns `true` if this enum value contains `IXON`

def none? #
def parmrk? #

Returns `true` if this enum value contains `PARMRK`